org.apache.ignite.internal.processors.platform.cache

## Class PlatformCacheIterator

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cache.PlatformCacheIterator

All Implemented Interfaces:
  PlatformTarget

    public class PlatformCacheIterator
    extends PlatformAbstractTarget

Interop cache iterator.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformCacheIterator(PlatformContext platformCtx, Iterator<javax.cache.Cache.Entry> iter)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInLongOutLong, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutObject, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformCacheIterator

    public PlatformCacheIterator(PlatformContext platformCtx,
                                 Iterator<javax.cache.Cache.Entry> iter)

Constructor.

Parameters:
  `platformCtx` - Context.
  `iter` - Iterator.

### Method Detail

#### processOutStream

    public void processOutStream(int type,
                                 BinaryRawWriterEx writer)
                          throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutStream` in interface `PlatformTarget`
Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019